FORMAT: 1A
HOST: http://192.168.0.53:5555

# Group Vectorapi
Group of all vectorapi-related resources.

## Youtubecategory

It's youtube category name with ytc_category _id which is foreign key to ytc table. 

## Index [/vectorapi/youtubecategory/index{?limit,access_token}]

### Index [GET]

+ Parameters

    + limit (optional,number, `5`)
    + access_token (optional,varchar, `some token`)


+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "testing.vapi.devorch.com",
      "httpStatusCode": 200
    },
    "request": "youtubecategory/index?params=vectorapi&youtubecategory&index&json&5&<some_token>",
    "response": {
      "youtubeCategory": [
        {
          "id": 3,
          "youtubeChannelCategoryName": "  "
        },
        {
          "id": 4,
          "youtubeChannelCategoryName": "23fg23f2"
        },
        {
          "id": 7,
          "youtubeChannelCategoryName": "Action Sports"
        },
        {
          "id": 13,
          "youtubeChannelCategoryName": "Classical"
        },
        {
          "id": 11,
          "youtubeChannelCategoryName": "EDM/Electronic/Hip-hop"
        }
      ]
    }
  }
}



+ **Other Optional Parameters**

    + limit
    + offset
    + pageNumber
    + totalRecords

+ **Sort Options (optional)**  
    + sortBy
    + id
    + youtubeChannelCategoryName
    + sortOrder


## POST [/vectorapi/youtubecategory/post{?data,access_token}]

### Post [POST]

+ Parameters

    + data (required,varchar, `{"categoryName":"sdf48sddasd45el18"}`)
    + access_token (optional,varchar, `some token`)


+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "testing.vapi.devorch.com",
      "httpStatusCode": 200
    },
    "request": "youtubecategory/post?params=vectorapi&youtubecategory&post&json&{\"categoryName\":\"sdsf45aw2dasd45el18\"}&<some_token>",
    "response": {
      "youtubeChannelCategory": {
        "id": 15,
        "youtubeChannelCategoryName": "sdsf45aw2dasd45el18"
      }
    }
  }
}


+ **Required Parameters**
     + categoryName
